# Exception: YARD::Handlers::NamespaceMissingError

Inherits:
  Parser::UndocumentableError
  - Object
  - RuntimeError
  - Parser::UndocumentableError
  - YARD::Handlers::NamespaceMissingError
  show all

Defined in:
  lib/yard/handlers/base.rb

## Overview

Raised during processing phase when a handler needs to perform an operation on an object’s namespace but the namespace could not be resolved.

## Instance Attribute Summary collapse

- #object ⇒ CodeObjects::Base

  The object the error occurred on.

## Instance Method Summary collapse

- #initialize(object) ⇒ NamespaceMissingError constructor

  A new instance of NamespaceMissingError.

## Constructor Details

### #initialize(object) ⇒ `NamespaceMissingError`

Returns a new instance of NamespaceMissingError.

    18

    # File 'lib/yard/handlers/base.rb', line 18

    def initialize(object) @object = object end

## Instance Attribute Details

### #object ⇒ `CodeObjects::Base`

The object the error occurred on

Returns:

- (`CodeObjects::Base`) —

  a code object

    16
    17
    18

    # File 'lib/yard/handlers/base.rb', line 16

    def object
      @object
    end